Skip to content

Retrieve list of orders by IDs

GET
/orders

Returns detailed information about specified orders by their IDs.

⚠️ The endpoint must accept an empty array of IDs.

X-Api-Key<token>

API key provided on the Custom API Connector 'Integrations' page.

In: header

Query Parameters

id*array<string>

The IDs of the orders to retrieve.

Response Body

application/json

curl -X GET "https://example.com/orders?id=string"
{  "items": [    {      "id": "string",      "items": {        "quantity_cancelled": 0,        "quantity_refunded": 0,        "quantity_shipped": 0,        "product": {          "id": "string",          "variant_id": "string"        },        "quantity": 0,        "total_amount": {          "tax": {            "units": 0,            "currency": "USD"          },          "units": 0,          "currency": "USD"        }      },      "reference": "string",      "billing_address": {        "first_name": "string",        "last_name": "string",        "company": "string",        "street_address1": "string",        "street_address2": "string",        "locality": "string",        "postal_code": "string",        "region": "string",        "country_code": "string",        "email": "string",        "phone": "string"      },      "shipping_address": {        "first_name": "string",        "last_name": "string",        "company": "string",        "street_address1": "string",        "street_address2": "string",        "locality": "string",        "postal_code": "string",        "region": "string",        "country_code": "string",        "email": "string",        "phone": "string"      },      "shipping": [        {          "amount": {            "tax": {              "units": 0,              "currency": "USD"            },            "units": 0,            "currency": "USD"          }        }      ],      "total": {        "tax": {          "units": 0,          "currency": "USD"        },        "units": 0,        "currency": "USD"      },      "metadata": {        "property1": "string",        "property2": "string"      }    }  ]}